# ImageSmooth.jl

```@meta
CurrentModule = ImageSmooth
DocTestSetup = quote
    using ImageSmooth
end
```

[ImageSmooth](https://github.com/johnnychen94/ImageSmooth.jl) is a Julia package which spports a number of image-smoothing algorithms. The core function is `smooth`.

This documentation is a collection of several parts:

* The ["Usage"](@ref usage) part introduces how to use the Smooth API.

* The ["Algorithms"](@ref algorithms) part contains the details of algorithms supported by `ImageSmooth`. We also give some demonstrations for different algorithms.

For more advanced usage, please check ["Package References"](@ref package_references) page.

```@index
Pages = [
    "index.md",
    "usage.md",
    "algorithms.md",
    "reference.md",
]
```
